
%% Creating a struct of the sorted data
clear
clc
%[xmlStruct] = xml2struct('part_1.xml');
load('xmlStruct.mat');
i = 1;
%TustStruct = 0;
% Collecting the training data to a struct
cd /Users/martevadla/Documents/MATLAB/Master/Alt
trainSett = dir('*.wav');
lengthSet = length(trainSett);
myTrainSet = cell(1,lengthSet);

for m = 1:lengthSet
    [myTrainSet{m}, FS] = audioread(trainSett(m).name); % Reads file
    lenFil = length(myTrainSet{m}); % Length of file in samples
    id_file = getfield(trainSett,{m,1},'name'); % name of file
    id_file = strtok(id_file, '.wav');
    
    if FS < 48000
        disp(id_file);
    end
    
    for j = 1:4800 
        % name of xml file
        xml_ID = xmlStruct.annotationdoc.annotation{1,j}.Attributes.id;
        [~, xml_ID] = strtok(xml_ID, '/');
        [~, xml_ID] = strtok(xml_ID, '/');
        [xml_ID, ~] = strtok(xml_ID, '/');
        
        if id_file == xml_ID
            
            name = id_file;
            start = str2double(xmlStruct.annotationdoc.annotation{1,j}...
                .word{1,1}.seg.Attributes.end);
            lengde = length(xmlStruct.annotationdoc.annotation{1,j}.word);
            slutt = str2double(xmlStruct.annotationdoc.annotation{1,j}...
                .word{1,lengde}.seg.Attributes.start);
            Total = str2double(xmlStruct.annotationdoc.annotation{1,j}.Attributes.end);
            
            TustStruct(1,i).info(1,1).Name = name;
            TustStruct(1,i).info(1,1).Start = start;
            TustStruct(1,i).info(1,1).End = slutt;
            TustStruct(1,i).info(1,1).Total = Total;
            i = i+1;
            
        end
    end
end



cd /Users/martevadla/Documents/MATLAB

